/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */


#ifndef INCLUDED_CPPU_HELPER_PURPENV_ENVIRONMENT_HXX
#define INCLUDED_CPPU_HELPER_PURPENV_ENVIRONMENT_HXX

#include "cppu/cppudllapi.h"
#include "uno/environment.h"

namespace cppu { class Enterable; }

namespace cppu { namespace helper { namespace purpenv {

/** C++ helper for implementing Purpose Environments.
    (http://wiki.openoffice.org/wiki/Uno/Cpp/Spec/Purpose_Bridge_Implementation_Helper)


*/
PURPENV_DLLPUBLIC void Environment_initWithEnterable(
        uno_Environment * pEnvironment, cppu::Enterable * pEnterable);

}}}

#endif

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
