/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */


#ifndef INCLUDED_CPPUHELPER_FINDSOFFICEPATH_H
#define INCLUDED_CPPUHELPER_FINDSOFFICEPATH_H

#include "sal/config.h"

#if defined __cplusplus
extern "C" {
#endif

/* Internal function to find an soffice installation.
   Not to be called by client code.
   Returned pointer must be released with free() */
#if defined(_WIN32)
wchar_t*
#else
char*
#endif
cppuhelper_detail_findSofficePath(void);

#if defined __cplusplus
}
#endif

#endif

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
