/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */


#ifndef INCLUDED_OSL_GETGLOBALMUTEX_HXX
#define INCLUDED_OSL_GETGLOBALMUTEX_HXX

#include "osl/mutex.hxx"

namespace osl
{
/** A helper functor for the rtl_Instance template.

    See the rtl_Instance template for examples of how this class is used.
 */
class GetGlobalMutex
{
public:
    ::osl::Mutex* operator()() { return ::osl::Mutex::getGlobalMutex(); }
};
}

#endif // INCLUDED_OSL_GETGLOBALMUTEX_HXX

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
